/* background page, responsible for actually choosing media */
chrome.runtime.onConnect.addListener(function (channel) {
    channel.onMessage.addListener(function (message) {
        switch(message.type) {
        case 'pexGetScreen':
            chrome.storage.local.get('pexAllowedDomains', function(value) {
                // let the app know that it can cancel the timeout
                message.type = 'pexGetScreenPending';
                channel.postMessage(message);
                value = value.pexAllowedDomains;
                domains = value ? JSON.parse(value) : [];
                console.log("允许的域名: " + domains);
                if (domains.indexOf(message.domain) == -1) {
                    approved = confirm(message.domain + "想要使用萝卜开会屏幕共享扩展来共享您的桌面。\n\n您是否允许?");
                    if (approved) {
                        domains.push(message.domain);
                        chrome.storage.local.set({'pexAllowedDomains': JSON.stringify(domains)});
                    } else {
                        message.type = 'pexGetScreenDone';
                        message.sourceId = null;
                        return channel.postMessage(message);
                    }
                }

                var pending = chrome.desktopCapture.chooseDesktopMedia(message.options || ['screen', 'window'],
                                                                       channel.sender.tab, function (streamid) {
                    // communicate this string to the app so it can call getUserMedia with it
                    message.type = 'pexGetScreenDone';
                    message.sourceId = streamid;
                    channel.postMessage(message);
                });
            });
            break;
        }
    });
});

chrome.windows.getAll({
  populate: true
}, function (windows) {
  var details = { file: 'content.js', allFrames: true };
  var currentWindow;

  for (var i = 0; i < windows.length; i++ ) {
    currentWindow = windows[i];
    var currentTab;
    for (var j = 0; j < currentWindow.tabs.length; j++ ) {
      currentTab = currentWindow.tabs[j];
      if (currentTab.url.match(/https:\/\/.+\//gi)) {
        chrome.tabs.executeScript(currentTab.id, details, function() {
          console.log('Injected content-script.');
        });
      }
    }
  }
});
